---
title: Adjacent sibling combinator
slug: Web/CSS/Adjacent_sibling_combinator
tags:
  - CSS
  - NeedsMobileBrowserCompatibility
  - Reference
  - Selector
  - Selectors
---
<div>{{CSSRef("Selectors")}}</div>

<p>The <strong>adjacent sibling combinator</strong> (<code>+</code>) separates two selectors and matches the second element only if it <em>immediately</em> follows the first element, and both are children of the same parent {{DOMxRef("element")}}.</p>

<pre class="brush: css no-line-numbers notranslate">/* Paragraphs that come immediately after any image */
img + p {
  font-weight: bold;
}</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">former_element + target_element { <em>style properties</em> }
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">li:first-of-type + li {
  color: red;
}
</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;ul&gt;
  &lt;li&gt;One&lt;/li&gt;
  &lt;li&gt;Two!&lt;/li&gt;
  &lt;li&gt;Three&lt;/li&gt;
&lt;/ul&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", "100%", 100)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Selectors", "#adjacent-sibling-combinators", "next-sibling combinator")}}</td>
   <td>{{Spec2("CSS4 Selectors")}}</td>
   <td>Renames it the "next-sibling" combinator.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Selectors", "#adjacent-sibling-combinators", "Adjacent sibling combinator")}}</td>
   <td>{{Spec2("CSS3 Selectors")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "selector.html#adjacent-selectors", "Adjacent sibling selectors")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.adjacent_sibling")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/General_sibling_combinator">General sibling combinator</a></li>
</ul>
